Nuo 2018 m. pabaigos PHP bendruomenė nebepalaiko žemesnių PHP versijų nei 5.6. Dėl šios priežasties vis sudėtingiau ir rizikingiau naudoti vieną iš šių PHP versijų. Ką tai reiškia PrestaShop elektroninių parduotuvių savininkams?

PrestaShop PHP versijos palaikymas

Kas yra PHP?

PHP (angl - "PHP Hypertext Preprocessor") - nemokama programavimo kalba skirta internetinių svetainių kūrimui. O paprastai, tai puiki kalba, kuri padeda išplėsti standartinius ir statinius HTML puslapius dinaminiu turiniu ar atlikti automatizuotas užduotis. Kaip tai atrodo techniškai?

Jeigu mes įvedame į paiešką "batutai", tai HTML formoje įvestas žodis perduodamas į serverį, kur priimamas ir atliekami atitinkamai veiksmai siekiant sugeneruoti rezultatus. Duomenis grąžinami ir užkrovus puslapį išvedami rezultatai. Apibendrinus, tai atlieka visus uždavinius, kuriems reikalinga logika, duomenų ištraukimas iš duomenų bazės ir rezultatų sugeneravimas. PrestaShop elektroninės parduotuvės valdymo sistema parašyta naudojant PHP programavimo kalbą.

Kodėl gyvybiškai svarbu atnaujinti savo parduotuvės PHP versiją?

PHP kalba, kaip ir bet kokios kitos rūšies programinė įranga, per tam tikrą laiką vystosi, todėl skelbiamos naujos versijos. Kiekviena pagrindinė PHP versija yra palaikoma ne ilgiau kaip trejus metus. Pasižiūrėkime detaliau dabartines PHP versijas ir jų palaikymą:

LeidimasIšleidimasAktyvus palaikymasSaugumo palaikymas iki
7.11 Dec 20162 years, 2 months ago1 Dec 20182 months ago1 Dec 2019in 9 months
7.230 Nov 20171 year, 2 months ago30 Nov 2019in 9 months30 Nov 2020in 1 year, 9 months
>7.36 Dec 20182 months ago6 Dec 2020in 1 year, 9 months6 Dec 2021in 2 years, 9 months

Kaip matome, jog visos žemesnės versijos jau nebepalaikomos ir net rekomenduojama jau pereiti prie stabilios PHP 7.2 versijos, kuri deja, bet palaikoma tik naujausios PrestaShop versijos 1.7.5. Ar tai tikrai nesaugu ir būtina?

Paprastai Jūsų hostingo tiekėjas (serveris) valdo PHP versiją, kurioje veikia jūsų parduotuvė. Kadangi ankstesnės PHP versijos nebepalaikomos, jūsų tiekėjas negali garantuoti, kad jūsų sistema yra 100% saugi. Būtent dėl šios priežasties jūsų tiekėjas galiausiai privers atsisakyti ankstesnių PHP versijų. Vienas iš populiariausių pasirinkimų Lietuvoje serveriai.lt jau panaikino senesnių nei 5.6 PHP versijų pasirinkimą iš valdymo pulto. Deja, tai tai bus ir visų žemesnių, nei 7.0 versijų ateitis. Pamėginkime apžvelgti teigiamas atnaujinimo puses:

  • Reguliariai atnaujinant PHP versiją galite pasinaudoti nuolatiniais patobulinimais 
  • PHP 7 ženkliai spartesnė
  • Didesnis sistemos saugumas
  • Didesnis našumas
  • Programuotojams, tai tobulesnė sintaksė ir didesnės galimybės / patogesnis programavimas

Tai tik faktai, tačiau internete gausu analizių, kurių rezultatai tiesiog stebina. PHP 7 gali būti dvigubai spartesnė, nei PHP 5 versija.

Daugiau nei 50 % svetainių naudoja PHP 5 versiją, kuri laikoma pasenusia ir nesaugia.

Kaip galėčiau atsinaujinti ir pereiti prie PHP 7 versijos?

Jeigu dar nesvarstot apie atnaujinimą, tai rekomenduotumėm pradėti. Žemiau pateikiame versijų palaikymo grafiką:

5.5 5.6 7.0 7.1 7.2 7.3 1 Jan 2016 1 Jan 2017 1 Jan 2018 1 Jan 2019 1 Jan 2020 1 Jan 2021 1 Jan 2022 1 Jan 2023 Today: 25 Feb 2019

Atsižvelgiant į aukščiau atvaizduotą lentelę matome, jog 5.5, 5.6 ir 7.0 versijos jau ženklinamos raudonai. Nors didžioji dalis 5.6 PHP versiją dar palaiko, bet visas žemesnės jau išėmė iš palaikymo. Nutikus tokiam scenarijui Jūsų elektroninė parduotuvė ant PrestaShop taptu neveiksni t.y atsirastu klaidų, dėl kurių klientai išvystu klaidų pranešimus arba baltą lapą ir vykdoma veikla sutriktu.

Nedvejodami kreipkitės į savo tiekėją ir pasitikslinkite PHP versijų palaikymo terminus. Taip galėsite pradėti planuoti perėjimą, sistemos atnaujinimą. Susisiekite su savo IT agentūra, laisvai samdomais programuotojais arba kreipkitės į mus ir aptarsime techninę perėjimo dalį.

Kokią PHP versiją palaiko mano PrestaShop parduotuvė?

Mes visada rekomenduojame naudoti naujausią PrestaShop versiją, tačiau, jeigu Jūsų parduotuvė senesnė, tai rekomenduojame pasitikrinti, kokią PHP versiją palaiko Jūsų elektroninė parduotuvė:

PrestaShop versijaSuderinama PHP versija
1.5.x ~ 1.6.05.2 - 5.5
1.6.1.x5.2 - 7.1
1.7.0 ~ 1.7.35.4 - 7.1
1.7.45.6 - 7.1
1.7.55.6 - 7.2

Kaip matome, tai parduotuvių savininkai, kurie turi 1.5x - 1.6.0 versijas tikrai rizikuoja techniniais nesklandumais. Savininkai, kurie turi 1.6.1.x versiją privalote pasitikrinti suderinamumą. Deja, tik naujausios 1.6.1.X versijos palaiko > PHP 7 versiją, o žemesnės sistemos versijos - nepalaiko!

Ar galima migruoti iš senesnės PrestaShop versijos į naujausią?

Taip. Tikrai taip. PrestaShop 1.6 versija sukurta 2013 m. ir stipriai pasenusi technologiškai, saugumo prasme ir nepalaiko suderinamumo su naujausiomis PHP versijomis. Kitas dalykas, jog PrestaShop techninę priežiūrą nutraukia 2019 m. Birželio mėn. Tai taps visiškai nebepalaikoma ir neprižiūrima versija.

Šiai dienai, visas dėmesys nukreiptas į naujausią PrestaShop 1.7 versiją, kuri ženkliai greitesnė, stabilesnė, saugesnė ir modernesnė (technologiniu atžvilgiu).

Nelaukite nei minutės ir nerizikuokite savo vykdoma veikla. Susiekite el.paštu info@elPresta.eu ir aptarsime migracijos klausimus. Sudarysime eigos planą, įvertinsime atnaujinimo kaštus ir padėsime sklandžiai atsinaujinti į naujausią PrestaShop 1.7.5.1 versiją.

Straipsnyje naudoti šaltiniai:
http://php.net/supported-versions.php 
https://www.prestashop.com/en/blog